Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| HTML Parser Home Page
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.htmlparser
Class StringNode

    java.lang.Object
      org.htmlparser.AbstractNode
          org.htmlparser.lexer.nodes.StringNode
              org.htmlparser.StringNode

All Implemented Interfaces:
  Node, Serializable

public class StringNode
extends StringNode

Normal text in the html document is identified and represented by this class.

See Also:
  Serialized Form

Field Summary

Fields inherited from class org.htmlparser.lexer.nodes.StringNode
`mText`

Fields inherited from class org.htmlparser.AbstractNode
`children, mPage, nodeBegin, nodeEnd, parent`

Constructor Summary
`StringNode(Page page, int start, int end)` Constructor takes in the text string, beginning and ending posns.

Method Summary
`void` | `accept(Object visitor)` String visiting code.

Methods inherited from class org.htmlparser.lexer.nodes.StringNode
`getText, setText, toHtml, toPlainTextString, toString`

Methods inherited from class org.htmlparser.AbstractNode
`collectInto, doSemanticAction, elementBegin, elementEnd, getChildren, getEndPosition, getPage, getParent, getStartPosition, setChildren, setEndPosition, setPage, setParent, setStartPosition, toHTML`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### StringNode

    public StringNode(Page page,
                      int start,
                      int end)

  Constructor takes in the text string, beginning and ending posns.

Parameters:
  `page` - The page this string is on.
  `start` - The beginning position of the string.
  `end` - The ending positiong of the string.

Method Detail

### accept

    public void accept(Object visitor)

  String visiting code.

  Specified by:
    `accept` in interface `Node`
  Overrides:
    `accept` in class `StringNode`
  Parameters:
    `visitor` - The `NodeVisitor` object to invoke `visitStringNode()` on.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| © 2004 Somik Raha Mar 14, 2004
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

HTML Parser is an open source library released under LGPL.